CREATE TABLE cn_tp_participant_cnts_all (
    PARTICIPANT_CNT_ID        NUMBER(18, 0) ,
    SIMULATION_ID             NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0)     NOT NULL,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    PERIOD_ID                 NUMBER(18, 0) ,
    START_DATE                DATE          ,
    END_DATE                  DATE          ,
    TXN_CNT                   NUMBER        ,
    CREDIT_CNT                NUMBER        ,
    MSR_CNT                   NUMBER        ,
    EARNING_CNT               NUMBER        ,
    PMT_TXN_CNT               NUMBER        ,
    EARNING_REVERSALS_CNT     NUMBER        ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    PARTICIPANT_CNT_ID        NUMBER(18, 0) ,
    PARTICIPANT_ID            NUMBER(18, 0)     NOT NULL,
    ORG_ID                    NUMBER(18, 0)     NOT NULL,
    PERIOD_ID                 NUMBER(18, 0) ,
    START_DATE                DATE          ,
    END_DATE                  DATE          ,
    TXN_CNT                   NUMBER        ,
    CREDIT_CNT                NUMBER        ,
    MSR_CNT                   NUMBER        ,
    EARNING_CNT               NUMBER        ,
    PMT_TXN_CNT               NUMBER        ,
    EARNING_REVERSALS_CNT     NUMBER        ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    SIMULATION_ID             NUMBER(18, 0) ,
    CONSTRAINT pk_cn_tp_participant_cnts_all PRIMARY KEY (PARTICIPANT_CNT_ID, PARTICIPANT_CNT_ID)
);
